Page MenuHome

Blender 2.8 - linux - File browser glitches out
Closed, ResolvedPublic

Description

System Information
Ubuntu 17.04 - GTX 1080 - cinnamon UI

Blender Version
Broken: blender 2.8 - 5884c9f1ba

Short description of error
file browser glitches out for one frame every now and then when a folder has lots and lots of blend files
http://imgur.com/a/LwoYZ (yellow to hide project name)

the triangle glitches change every pixel my mouse moves

Exact steps for others to reproduce the error

  1. open a folder with ~100 blend files
  2. notice glitches

I dont know if you are after blender 2.8 bugs yet so just comment if you dont want them reported

Event Timeline

Aaron Carlisle (Blendify) lowered the priority of this task from 90 to 30.Apr 16 2017, 9:24 PM

I think this has been fixed. Please try a new build.

Still occuring on buildbot 47e0d2b235

Aaron Carlisle (Blendify) raised the priority of this task from 30 to 90.Apr 18 2017, 2:53 AM

@Aaron Carlisle (Blendify) I fixed something else in the file browser (vertical divider lines) but not this.

Others have reported similar file browser glitches in IRC. We're pretty sure it's an nvidia-specific issue with our new immediate mode drawing library. I don't have any recent nvidia HW but will ask my game dev friends if they can spare one for testing.

Might be the same root issue as T50935? Just a guess.

@Carlo Andreacchio (candreacchio) can you test if the problem is still there? We moved to core profile last week, so build bot builds (builder.blender.org) are expected to behave differently as before.

Carlo Andreacchio (candreacchio) changed the task status from Unknown Status to Resolved.May 15 2017, 11:59 PM

Seems like its fixed on 77a90f7666b

Did you want blender 2.8 bugs to be reported or not at the moment?

Did you want blender 2.8 bugs to be reported or not at the moment?

Barely :) We just don't have the dev-power to handle triaging for 2.8 bugs at the moment.